import java.io.*;
/**
 *   Description of your application goes here. 
 */
public class PhoneMapperApp
{
    /**
     * This is a general purpose main program that launches ConsoleUI using the desired
     * source of user input and output.  The default is to accept user input
     * from System.in and display to System.out.  
     *
     * @param args Any non-empty first argument will be interpreted as the name of 
     * a file in the same directory as the program that contains the 
     * user input data.
     * Any non-empty second argument will be interpreted as the name of 
     * a file in the same directory as the program to which the output
     * is to be written.
     * @throws FileNotFoundException if the file isn't found.
     * @throws IOException if an illegal IO operation is attempted.
     */
    public static void main(String[] args) throws IOException
    {
        // If there are no arguments assume defaults
        if (args.length == 0)
        {
            new ConsoleUI(new InputStreamReader(System.in), 
                          new OutputStreamWriter(System.out)).run();
        }
        // If one argument it's a reader
        else if (args.length == 1)
        {
            FileReader frdr = new FileReader(args[0]);
            new ConsoleUI(frdr, new OutputStreamWriter(System.out)).run();
        }
        // If two arguments it's a reader and a writer
        else if (args.length == 2)
        {
            FileReader frdr = new FileReader(args[0]);
            FileWriter fwtr = new FileWriter(args[1]);
            new ConsoleUI(frdr,fwtr).run();
        }
    }
    
}